<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractPnResult extends Model
{
    /**
     * Primary key type.
     *
     * @var string
     */
    protected $keyType = 'bigInteger';

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'value' => 'string',
        'created_at' => 'datetime',
        'updated_at' => 'datetime'
    ];

    /**
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    public function tests()
    {
        return $this->morphMany('\App\Test', 'resultat', 'resultat_type', 'resultat_id');
    }
    public function demand()
    {
        return $this->belongsTo('\App\Demand', 'demand_id');
    }

    public function test()
    {
        return $this->morphOne('App\Test', 'resultat');
    }
}
